All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.sasserver
Class LibrarySelectorDialog

    com.sas.sasserver.LibrarySelectorDialog

All Implemented Interfaces:
  ContainerInterface, VisualInterface, com.sas.beans.PropertyChangeSource, com.sas.beans.VetoableChangeSource, com.sas.ComponentInterface, com.sas.DesignTimeDropTargetInterface, com.sas.lang.StringDataInterface, com.sas.LinkPropertiesInterface, com.sas.ModelInterface, ValidatorInterface, com.sas.ViewInterface, MultipleValueEventSourceInterface, java.awt.event.ActionListener, java.awt.event.WindowListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.beans.PropertyChangeListener, java.io.ObjectInputValidation, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible

    public class LibrarySelectorDialog

LibrarySelectorDialog

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `library` Initial and selected library.
`protected com.sas.sasserver.librarylist.LibraryListInterface` | `libraryList` The library list used to populate the ListBox.
`protected ListBox` | `listbox` ListBox used to display the available libraries.
`static java.lang.String` | `RB_KEY`

Fields inherited from class com.sas.sasserver.RemoteObjectSelectorDialog
`connection, owner, remoteObjects, rocf`

Fields inherited from class com.sas.visuals.OkCancelHelpDialog
`CANCEL, CLOSE, HELP`

Fields inherited from class com.sas.visuals.ButtonDialog
`buttonPanel, buttons, panel`

Fields inherited from class com.sas.awt.Dialog
`_cantUseSASModal, _inApplet, _modal, autoDispose, READY, setVisibleCalled, t`

Constructor Summary
`LibrarySelectorDialog(java.awt.Frame parent, java.awt.Component owner, com.sas.rmi.Connection connection, boolean cloneConnection, com.sas.rmi.Rocf rocf, java.lang.String library)`
`LibrarySelectorDialog(java.awt.Frame parent, java.awt.Component owner, com.sas.rmi.Connection connection, com.sas.rmi.Rocf rocf, java.lang.String library)` Constructs a LibrarySelectorDialog.
`LibrarySelectorDialog(java.awt.Frame parent, com.sas.rmi.Connection connection, com.sas.rmi.Rocf rocf, java.lang.String library)` Constructs a LibrarySelectorDialog.

Method Summary
`protected void` | `close()`
`protected void` | `createRemoteObjects()` Creates an instance of LibraryListInterface.
`protected void` | `disposeRemoteObjects()` Cleans up created remote objects.
`java.lang.String` | `getLibrary()` Returns the selected library.
`void` | `initialize()` Initializes the RemoteObjectSelectorDialog.

Methods inherited from class com.sas.sasserver.RemoteObjectSelectorDialog
`dispose, registerRemoteBaseClient, setVisible, wasCancelled, wasExceptionThrown`

Methods inherited from class com.sas.visuals.OkCancelHelpDialog
`actionPerformed, cancel, help, isValidateBeforeClosing, setValidateBeforeClosing, windowClosing`

Methods inherited from class com.sas.visuals.ButtonDialog
`getButtonPanel, getMainPanel, windowActivated, windowClosed, windowDeactivated, windowDeiconified, windowIconified, windowOpened`

Methods inherited from class com.sas.awt.Dialog
`center, centerOver, centerOverWindow, fireReadySignal, getAutoDispose, getDefaultHeight, getDefaultWidth, getExtendedBeanInfo, getText, hide, isSASModalEnabled, newDispatchThread, processWindowEvent, setAutoDispose, setDefaultHeight, setDefaultWidth, setModal, setResizable, setSASModalEnabled, setText, setTitle, setVisible, show, stopDispatchThread, waitForReadySignal, waitTilReady`

Methods inherited from class com.sas.awt.DialogContainerComponent
`addNotify, clone, dragEnter, dragLeave, dragOver, drop, getContainerInterfaceSupportInfo, getErrorHandler, getInsets, getValidator, isIDEDnDDropBarrier, isIDEDnDDropTarget, isValid, removeNotify, setContainerInterfaceSupportInfo, setDefaultValues, setErrorHandler, setIDEDnDDropBarrier, setIDEDnDDropTarget, setInsets, setInsets, setValidator, superAddNotify, superGetInsets, superRemoveNotify, superSetDefaultValues`

Methods inherited from class com.sas.awt.DialogVisualComponent
`addLink, addPropertyChangeListener, addVetoableChangeListener, anyPropertyChangeListeners, attachModel, attachView, computePreferredSize, detachModel, detachView, dumpComponent, firePropertyChange, firePropertyChange, fireVetoableChange, getBackgroundColor, getBorder, getComponentDescription, getComponentSupportInfo, getEventMethod, getEventValues, getFont, getForegroundColor, getHeight, getHorizontalPosition, getLinkInfo, getMinimumSize, getModelInterface, getPreferredSize, getPrePainter, getRequiredInterfaces, getVerticalPosition, getViewInterfaceSupportInfo, getVisualInterfaceSupportInfo, getWidth, initializeComponent, isDesignTime, isEnabled, isFocus, isLinked, isTransparent, isVisible, paint, propertyChange, queryLinks, queryLinks, refresh, removeAllLinks, removeInterfaceTraps, removeLink, removePropertyChangeListener, removeVetoableChangeListener, setBackgroundColor, setBorder, setBounds, setComponentDescription, setComponentSupportInfo, setEnabled, setFocus, setFont, setForegroundColor, setHeight, setHorizontalPosition, setLinkInfo, setModelInterface, setPreferredSize, setPrePainter, setRequiredInterfaces, setTransparent, setVerticalPosition, setViewInterfaceSupportInfo, setVisualInterfaceSupportInfo, setWidth, superGetFont, superGetMinimumSize, superGetPreferredSize, superIsEnabled, superIsVisible, superPaint, superSetBounds, superSetEnabled, superSetFont, superSetVisible, superUpdate, supportsListenerInterface, supportsRequiredInterfaces, trapInterfaceEvents, update, validateObject`

Methods inherited from interface com.sas.awt.ContainerInterface
`getComponents, getLayout, invalidate, setLayout, validate`

Methods inherited from interface com.sas.awt.VisualInterface
`computePreferredSize, getBackgroundColor, getBorder, getFont, getForegroundColor, getHeight, getHorizontalPosition, getMinimumSize, getPreferredSize, getPrePainter, getVerticalPosition, getVisualInterfaceSupportInfo, getWidth, isEnabled, isFocus, isTransparent, isVisible, setBackgroundColor, setBorder, setBounds, setEnabled, setFocus, setFont, setForegroundColor, setHeight, setHorizontalPosition, setPreferredSize, setPrePainter, setTransparent, setVerticalPosition, setVisualInterfaceSupportInfo, setWidth, superGetFont, superGetMinimumSize, superGetPreferredSize, superIsEnabled, superIsVisible, superPaint, superSetBounds, superSetEnabled, superSetFont, superSetVisible, superUpdate`

Field Detail

### RB_KEY

    public static final java.lang.String RB_KEY

See Also:
  Constant Field Values

### libraryList

    protected com.sas.sasserver.librarylist.LibraryListInterface libraryList

  The library list used to populate the ListBox.

### listbox

    protected ListBox listbox

  ListBox used to display the available libraries.

### library

    protected java.lang.String library

  Initial and selected library.

Constructor Detail

### LibrarySelectorDialog

    public LibrarySelectorDialog(java.awt.Frame parent,
                                 com.sas.rmi.Connection connection,
                                 com.sas.rmi.Rocf rocf,
                                 java.lang.String library)

  Constructs a LibrarySelectorDialog. A LibrarySelectorDialog is used to select a SAS library.

  Parameters:
    `parent` - the parent frame
    `connection` - the connection object
    `rocf` - the rocf object used to create the remote objects
    `library` - the initial library to select, may be null

### LibrarySelectorDialog

    public LibrarySelectorDialog(java.awt.Frame parent,
                                 java.awt.Component owner,
                                 com.sas.rmi.Connection connection,
                                 com.sas.rmi.Rocf rocf,
                                 java.lang.String library)

  Constructs a LibrarySelectorDialog. A LibrarySelectorDialog is used to select a SAS library.

  Parameters:
    `parent` - the parent frame
    `owner` - the owner of the dialog, may also be the parent
    `connection` - the connection object
    `rocf` - the rocf object used to create the remote objects
    `library` - the initial library to select, may be null

### LibrarySelectorDialog

    public LibrarySelectorDialog(java.awt.Frame parent,
                                 java.awt.Component owner,
                                 com.sas.rmi.Connection connection,
                                 boolean cloneConnection,
                                 com.sas.rmi.Rocf rocf,
                                 java.lang.String library)

Method Detail

### getLibrary

    public java.lang.String getLibrary()

  Returns the selected library.

  Returns:
    the selected library.

### initialize

    public void initialize()

  Description copied from class: `RemoteObjectSelectorDialog`
  Initializes the RemoteObjectSelectorDialog. Starts the thread which calls the createRemoteObjects method to initiate the connection. This method must be call if the CommandProgress dialog is to be displayed.

  Specified by:
    `initialize` in interface `com.sas.ComponentInterface`
  Overrides:
    `initialize` in class `RemoteObjectSelectorDialog`
  See Also:
    `RemoteObjectSelectorDialog.initialize()`

### close

    protected void close()

  Overrides:
    `close` in class `OkCancelHelpDialog`

### createRemoteObjects

    protected void createRemoteObjects()
                                throws java.lang.Exception

  Creates an instance of LibraryListInterface.

  Overrides:
    `createRemoteObjects` in class `RemoteObjectSelectorDialog`
  Throws:
    `java.lang.Exception`
  See Also:
    `RemoteObjectSelectorDialog.createRemoteObjects()`

### disposeRemoteObjects

    protected void disposeRemoteObjects()

  Description copied from class: `RemoteObjectSelectorDialog`
  Cleans up created remote objects. If any RemoteBaseClient clients were registered with registerRemoteBaseClient, they are all stopped in this method. Additionally if the rocf is not a user supplied rocf, it is stopped.

  Overrides:
    `disposeRemoteObjects` in class `RemoteObjectSelectorDialog`
  See Also:
    `RemoteObjectSelectorDialog.disposeRemoteObjects()`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.